2 Replies Latest reply: Jul 27, 2013 5:56 PM by BDAqua
RIPSTEVEJOBS5511 Level 1 Level 1 (0 points)

I got an Airport Extreme (old UFO looking model) at a thrift shop today for my grandpa so he can get an iPad, but I also want to upgrade his eMac to be Wifi capable. It's a 2005 super late model, emc #2057. I was looking at 1999 AirPort and 2004 AirPort extreme cards in that thrift shop too so which ones can work? I just want to do this so he can have an iCloud account and use both of these great Apple products together,


eMac, Mac OS X (10.5.8), EMC# 2057. Non-education model